from django.db import models

class Slideshow(models.Model):
    title = models.CharField(max_length=255)
    slug = models.SlugField()

    def __unicode__(self):
        return self.title

CLASS_CHOICES = (
    ('defaultStyle', 'Default Style'),
)

class Slide(models.Model):
    slideshow = models.ForeignKey(Slideshow)
    position = models.IntegerField(null=True, blank=True)
    title = models.CharField(max_length=512, blank=True)
    text = models.TextField(blank=True)
    url = models.URLField(blank=True)
    css_class = models.CharField(max_length=255, choices=CLASS_CHOICES)

    class Meta:
        ordering = ['position']

    def __unicode__(self):
        return "%d: %s" (self.position, self.title,)

    def get_dict(self):
        ret = {}
        ret['title'] = self.title
        if self.url.trim() != '':
            ret['iframe'] = self.url
        else:
            ret['text'] = self.text
            ret['css_class'] = self.css_class
        return ret
